summaryrefslogtreecommitdiff
path: root/uninit.d/50vcs-uninit
diff options
context:
space:
mode:
Diffstat (limited to 'uninit.d/50vcs-uninit')
-rwxr-xr-xuninit.d/50vcs-uninit12
1 files changed, 12 insertions, 0 deletions
diff --git a/uninit.d/50vcs-uninit b/uninit.d/50vcs-uninit
new file mode 100755
index 0000000..c9896ed
--- /dev/null
+++ b/uninit.d/50vcs-uninit
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ]; then
+ rm -rf .git .gitignore
+elif [ "$VCS" = hg ]; then
+ rm -rf .hg .hgignore
+elif [ "$VCS" = bzr ]; then
+ rm -rf .bzr .bzrignore
+elif [ "$VCS" = darcs ]; then
+ rm -rf _darcs .darcsignore
+fi